"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pseudoElement) {
  return knownPseudoElements.has(pseudoElement.toLowerCase());
};

/**
 * Check is known pseudo-element
 *
 * @param {string} Pseudo-element
 * @return {boolean} If `true`, the unit is known
 */

var knownPseudoElements = new Set(["before", "after", "first-line", "first-letter", "selection", "spelling-error", "grammar-error", "backdrop", "marker", "placeholder", "shadow", "content"]);